Attach Virtual Center

Attach Virtual Center
Attach a Virtual Center server

Attach a Virtual Center server.

Request
URI
POST
https://{api_host}/cloudapi/1.0.0/virtualCenters
COPY
Request Body
VCenterServer of type(s) application/json
Optional

Show optional properties

{
    "name": "vCenter Sample Name",
    "username": "string",
    "url": "https://sampleVc.vmware.com"
}
{
    "vcId": "urn:vcloud:vimserver:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "vCenter Sample Name",
    "description": "vCenter Sample Description",
    "username": "string",
    "password": "string",
    "url": "https://sampleVc.vmware.com",
    "isEnabled": false,
    "vsphereWebClientServerUrl": "string",
    "hasProxy": false,
    "rootFolder": "string",
    "vcNoneNetwork": "string",
    "vcNoneNetworkMoref": "string",
    "tenantVisibleName": "string",
    "isConnected": false,
    "mode": "string",
    "listenerState": "string",
    "clusterHealthStatus": "string",
    "vcVersion": "6.7.0",
    "buildNumber": "12345",
    "uuid": "string",
    "nsxVManager": {
        "username": "string",
        "password": "string",
        "url": "https://sampleVsm.vmware.com",
        "softwareVersion": "string"
    },
    "proxyConfigurationUrn": "string",
    "isDedicatedForClassicTenants": false,
    "licenseStatus": "string",
    "sddcManager": {
        "name": "string",
        "id": "string"
    }
}
Authentication
This operation uses the following authentication methods.
Responses
202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

400

Invalid configuration.

Returns Error of type(s) */*;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

401

Unauthorized

Operation doesn't return any data structure

404

The specified resource was not found

Returns Error of type(s) */*;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","url":"string","username":"string"}' https://{api_host}/cloudapi/1.0.0/virtualCenters